Zëvendësim i menjëhershëm
KompatibilPunon me SDK-të OpenAI dhe Anthropic. Thjesht ndrysho URL-në bazë.
Të gjitha gjuhët janë të barabarta. Zgjidh atë që dëshiron të përdorësh.
API i pajtueshëm me OpenAI dhe Anthropic me thirrje funksionesh, kërkim në ueb dhe dalje të strukturuara.
Gjithçka që ju nevojitet për të publikuar me API-në e pajtueshme me OpenAI dhe Anthropic të Shannon.
https://api.shannon-ai.com/v1/chat/completions Përdorni API Chat Completions me thirrje funksionesh dhe streaming.
https://api.shannon-ai.com/v1/messages Formati Claude Messages me mjete dhe header anthropic-version.
Authorization: Bearer <api-key> Ose X-API-Key me anthropic-version për thirrje në stilin Claude.
Dokumentacion publik - çelësi kërkohet për thirrje Streaming, thirrje funksionesh, dalje të strukturuara, kërkim në ueb.
Zëvendësim plug-and-play për API-të OpenAI dhe Anthropic me mbështetje native për mjete, dalje të strukturuara dhe kërkim të integruar në ueb.
Punon me SDK-të OpenAI dhe Anthropic. Thjesht ndrysho URL-në bazë.
Përcakto mjete, lëre Shannon t’i thërrasë. Mbështet mënyrat auto, forced dhe none.
Kërkim në kohë reale me citime burimesh. Automatikisht i disponueshëm.
Modaliteti JSON dhe zbatimi i skemës JSON për nxjerrje të besueshme të të dhënave.
Cikle automatike ekzekutimi funksionesh. Deri në 10 iteracione për kërkesë.
Server-sent events për transmetim tokenësh në kohë reale.
Nisuni në tre hapa. Shannon pasqyron klientët OpenAI dhe Anthropic.
Përdor endpoint-in e pajtueshëm me OpenAI.
https://api.shannon-ai.com/v1/chat/completions Përdor Bearer auth në header Authorization.
Zgjidh një gjuhë dhe zëvendëso çelësin tënd.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Testo Shannon API direkt në shfletues. Ndërto kërkesën, ekzekutoje dhe shiko përgjigjen në kohë reale.
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/sq/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
Të gjitha kërkesat API kërkojnë autentikim duke përdorur çelësin tënd Shannon API.
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon ofron disa modele të optimizuara për përdorime të ndryshme.
shannon-1.6-lite Shannon 1.6 Lite Përgjigje të shpejta dhe efikase për detyra të përditshme
shannon-1.6-pro Shannon 1.6 Pro Arsyetim i avancuar për probleme komplekse
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder Optimizuar për Claude Code CLI me kuotë sipas thirrjes
Përcakto mjete që Shannon mund t’i thërrasë për të kryer veprime ose për të marrë informacion.
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" Modeli vendos nëse të thërrasë funksion (parazgjedhur) "none" Çaktivizo thirrjen e funksioneve për këtë kërkesë {"type": "function", "function": {"name": "..."}} Detyro një thirrje funksioni specifike {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Detyro Shannon të përgjigjet me JSON të vlefshëm që përputhet me skemën tënde.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} Detyro dalje JSON të vlefshme (pa skemë specifike) {"type": "json_schema", "json_schema": {...}} Detyro dalje që përputhet me skemën tënde të saktë Aktivizo transmetimin e tokenëve në kohë reale me Server-Sent Events për UI të përgjegjshme.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon përfshin një funksion të integruar web_search që është automatikisht i disponueshëm.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon mbështet gjithashtu formatin Anthropic Messages API.
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); Përdor çdo SDK OpenAI ose Anthropic — thjesht ndrysho URL-në bazë.
SDK zyrtar OpenAI Python - funksionon me Shannon
pip install openai SDK zyrtar OpenAI Node.js - funksionon me Shannon
npm install openai Klient Go nga komuniteti për API të pajtueshme me OpenAI
go get github.com/sashabaranov/go-openai Klient Ruby nga komuniteti për API të pajtueshme me OpenAI
gem install ruby-openai Klient PHP nga komuniteti për API të pajtueshme me OpenAI
composer require openai-php/client Klient Rust asinkron për API të pajtueshme me OpenAI
cargo add async-openai SDK zyrtar Anthropic Python - funksionon me Shannon
pip install anthropic SDK zyrtar Anthropic TypeScript - funksionon me Shannon
npm install @anthropic-ai/sdk Shannon përdor kode standarde statusi HTTP dhe kthen mesazhe të detajuara gabimi.
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Përditësime dhe përmirësime të fundit të Shannon API.
YOUR_API_KEY Mbaje çelësin tënd API sekret. Rigjenerimi krijon një çelës të ri dhe e bën të vjetrin të pavlefshëm.
Shiko konsumimin e tokenëve dhe kërkimeve në këtë faqe kur je i identifikuar.
Kuotë sipas thirrjes për Shannon Coder (shannon-coder-1). Riniset çdo 4 orë.
Merr çelësin tënd API dhe fillo të ndërtosh me Shannon AI sot.
Kërkime të njohura: